## org.apache.axis.transport.http
Class SocketInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.apache.axis.transport.http.SocketInputStream

public class SocketInputStream
extends java.io.FilterInputStream

The ONLY reason for this is so we can clean up sockets quicker/cleaner.

Field Summary
`protected boolean` `closed`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`SocketInputStream(java.io.InputStream is, java.net.Socket socket)`

Method Summary
`void` `close()`

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### closed

    protected volatile boolean closed

Constructor Detail

### SocketInputStream

    public SocketInputStream(java.io.InputStream is,
                             java.net.Socket socket)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.